#!/bin/sh
#
# BEGIN COPYRIGHT
# *************************************************************************
# Licensed Materials - Property of IBM 
# 5724-L01, 5655-N53, 5724-I82, 5655-R15
# (C) Copyright IBM Corporation 2006, 2009. All rights reserved. 
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
# *************************************************************************
# END COPYRIGHT
# Usage: 
#      db2cmd createDBTables.sh  <db_user>  <dbName> [createDB]
# Example:
#      db2cmd createDBTables.sh db2admin WPRCSDB createDB     --create a new db
#      db2cmd createDBTables.sh db2admin WPRCSDB              --use an existing db
#------------------------------------------------------------------------------
# expect inputs as DB_USER:DB_PASSWORD

DB_USERID=$1
DB_NAME=$2
DB_SCHEMA=$3
DB_CREATE=$4

echo  "All Common database tables exists under schema : $DB_SCHEMA"
echo  "There is an exception for Recovery tables which  always exists under default schema"


INIT_DIR=`pwd`

CURRENT_DIR=`dirname $0`
if [ "$CURRENT_DIR" = "." ] ; then
   CURRENT_DIR=`pwd`
fi

cd $CURRENT_DIR

if [ "$DB_CREATE" = "createDB" ] ; then 
	createDB=true
else
    createDB=false	
fi

if [ "$createDB" = "true" ]; then
	echo "$DB_NAME database being created .. please wait..."
    db2 create database $DB_NAME automatic storage yes using codeset UTF-8 territory US 
fi

#Connect to the database specifying the id and the password
rc=0
db2 connect to $DB_NAME
db2 grant dbadm on database to $DB_USERID
db2 connect reset

db2 connect to $DB_NAME user $DB_USERID 
rc=$?

if [ $rc -eq 0 ] ; then
		
	for i  in `ls | egrep "(^create|^insert)Table"`
	do
		if [ "$DB_USERID" = "$DB_SCHEMA" ] ; then 
			db2 set current schema=$DB_USERID
		else
    		db2 set current schema=$DB_SCHEMA
		fi

		# create tables....
		db2 -s -t -f $i
	done
else 
    echo 
    echo "Make sure database setup correctly"
	echo "On Unix system you must run  <user_home>/sqllib/db2profile before executing"
	echo "this script or manageprofiles  command or PMT tool. This is needed to"
	echo "invoke db2 command for  creating a new database."
	echo "Always run configCommonDB.sh script rather than running individual sql script else "
	echo "some tables might be created in wrong schema"
fi

cd $INIT_DIR
exit $?


