-- BEGIN COPYRIGHT
-- *************************************************************************
-- Licensed Materials - Property of IBM 
-- 5724-L01, 5655-N53, 5724-I82, 5655-R15
-- (C) Copyright IBM Corporation 2006. All rights reserved. 
-- US Government Users Restricted Rights - Use, duplication, or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- *************************************************************************
-- END COPYRIGHT

-- *******************************************
-- Create tablespaces
-- *******************************************
CREATE TABLESPACE PLTS
 IN @DB_NAME@ USING STOGROUP @STOGRP@
 CCSID UNICODE
 DEFINE NO
 SEGSIZE 32
 LOCKSIZE ANY
 BUFFERPOOL @BPTABLE4K@;


-- *******************************************
-- Create persistentlock table and indexes
-- *******************************************
CREATE TABLE @SCHEMA@.PERSISTENTLOCK (
   LOCKID INTEGER NOT NULL,
   SEQUENCEID INTEGER NOT NULL,
   OWNER INTEGER NOT NULL,
   MODULENAME VARCHAR(250),
   COMPNAME VARCHAR(250),
   METHOD VARCHAR(250),
   MSGHANDLESTRING VARCHAR(128),
   CONSTRAINT PK_PERSISTENTLOCK PRIMARY KEY (LOCKID, SEQUENCEID) )
IN @DB_NAME@.PLTS;

CREATE UNIQUE INDEX @SCHEMA@.PERSISTENTLOCK ON
 @SCHEMA@.PERSISTENTLOCK (LOCKID,SEQUENCEID)
 USING STOGROUP @STOGRP@
 DEFINE NO
 BUFFERPOOL @BPINDEX@;
