@echo off
REM
REM BEGIN COPYRIGHT
REM *************************************************************************
REM Licensed Materials - Property of IBM 
REM 5724-L01, 5655-N53, 5724-I82, 5655-R15
REM (C) Copyright IBM Corporation 2006.2008, 2009. All rights reserved. 
REM US Government Users Restricted Rights - Use, duplication, or disclosure
REM restricted by GSA ADP Schedule Contract with IBM Corp.
REM *************************************************************************
REM END COPYRIGHT

REM ---------------------------------------------------------
REM -- This batch file creates CommonDB database 
REM --
REM -- 
REM -- This file for use on Windows systems
REM -- 
REM -- Usage:
REM --    configCommonDB.bat  [createDB]
REM --Example:
REM --     configCommonDB.bat createDB     --create a new db
REM --     configCommonDB.bat              --use an existing db
REM --
REM --  Note Database will be created at %DB_DIR_DB_NAME%
REM --  Run the script always where it is located rather running from different folder 
REM ---------------------------------------------------------

setlocal

SET CUR_DIR=%cd%

%~d0
cd %~p0

SET USER_INSTALL_ROOT="%~dp0..\..\..\..\"

IF NOT EXIST %USER_INSTALL_ROOT%\bin\setupCmdLine.bat set /p USER_INSTALL_ROOT=Please enter USER_INSTALL_ROOT directory :

set DB_CREATE=%1

REM ==========================================
REM DB_NAME will be replaced 
REM ==========================================
set DB_NAME=@DB_NAME@

if "%DB_CREATE%"=="createDB" set createDB=TRUE
if not "%DB_CREATE%"=="createDB" set createDB=FALSE



REM Setup WebSphere environment
REM this sets the JAVA_HOME

@call %USER_INSTALL_ROOT%\bin\setupCmdLine.bat


set DB_DIR=%USER_INSTALL_ROOT%\databases

set DB_DIR_DB_NAME=%USER_INSTALL_ROOT%\databases\%DB_NAME%

dir /B | findstr "\<create"Table > files.log
dir /B | findstr "\<insert"Table >> files.log

IF "%createDB%"=="TRUE" goto CREATE_DB
IF "%createDB%"=="FALSE" goto EXIST_DB


:CREATE_DB

for /F "tokens=1* delims=" %%v in ( files.log ) do (
@call "%JAVA_HOME%\bin\java" -classpath "%WAS_HOME%\derby\lib\derby.jar;%WAS_HOME%\derby\lib\derbytools.jar;%WAS_HOME%\derby\lib\jh.jar" -Ddb2j.system.home="%DB_DIR%" -Dij.protocol=jdbc:derby: -Dij.database="%DB_DIR_DB_NAME%;create=true;" org.apache.derby.tools.ij "%%v"
)
goto END

:EXIST_DB

for /F "tokens=1* delims=" %%v in ( files.log ) do (
@call "%JAVA_HOME%\bin\java" -classpath "%WAS_HOME%\derby\lib\derby.jar;%WAS_HOME%\derby\lib\derbytools.jar;%WAS_HOME%\derby\lib\jh.jar" -Ddb2j.system.home="%DB_DIR%" -Dij.protocol=jdbc:derby: -Dij.database="%DB_DIR_DB_NAME%" org.apache.derby.tools.ij "%%v"
)

goto END

:PRINT_USAGE

REM Print usage messages
echo. 
echo =====================================================
echo Usage: configCommonDB.bat  [createDB]                               
echo. 
echo Parameters:                                                         
echo        createDB    - specify to create a new db  
echo Note:
echo        It uses WAS Environment.                        
echo =====================================================


:END
cd /d "%CUR_DIR%"
endlocal

