#!/bin/sh
#
# BEGIN COPYRIGHT
# *************************************************************************
# Licensed Materials - Property of IBM 
# 5724-L01, 5655-N53, 5724-I82, 5655-R15
# (C) Copyright IBM Corporation 2006, 2009. All rights reserved. 
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
# *************************************************************************
# END COPYRIGHT
# ---------------------------------------------------------
# -- This batch file creates the commonDB database 
# --
# -- REQUIREMENTS: 
# -- Derby 10.1  must be installed
# -- 
# -- This file for use on linux systems
# -- 
# -- Usage:
# --    configCommonDB.sh  [createDB]
# -- Example:
# --    configCommonDB.sh  createDB   //create a new db
# --    configCommonDB.sh             //use an existing db
# --
# --  Note Database will be created at $DB_DIR_DB_NAME
# --  echo Run the script always where it is located rather running from different folder
# ---------------------------------------------------------

# Setup WebSphere environment
# Location of java home is set by this

DB_CREATE=$1


################################
#  DB_NAME will be replaced 
################################
DB_NAME=@DB_NAME@
INIT_DIR=`pwd`
CURRENT_DIR=`dirname $0`
if [ "$CURRENT_DIR" = "." ] ; then
   CURRENT_DIR=`pwd`
fi



if [ "$DB_CREATE" = "createDB" ] 
then
    createDB=true
else
    createDB=false
fi   

# Setup WebSphere environment
# this sets the JAVA_HOME

USER_INSTALL_ROOT=`dirname ../../../../`

if [ -f $USER_INSTALL_ROOT/bin/setupCmdLine.sh ];then
	. "$USER_INSTALL_ROOT/bin/setupCmdLine.sh"
else
	echo "Enter USER_INSTALL_ROOT Directory[%USER_INSTALL_ROOT%]:"
    read USER_INSTALL_ROOT
	. "$USER_INSTALL_ROOT/bin/setupCmdLine.sh"
fi


DB_DIR=$USER_INSTALL_ROOT/databases
DB_DIR_DB_NAME=$USER_INSTALL_ROOT/databases/$DB_NAME  

cd $CURRENT_DIR

if [ "$createDB" == "true" ] 
then
	#  Create  a new commonDB database and tables
	for i  in `ls | egrep "(^create|^insert)Table"`
	do
		"$JAVA_HOME/bin/java" -classpath "$WAS_HOME/derby/lib/derby.jar:$WAS_HOME/derby/lib/derbytools.jar:$WAS_HOME/derby/lib/jh.jar" -Ddb2j.system.home=$DB_DIR -Dij.protocol=jdbc:derby: -Dij.database="$DB_DIR_DB_NAME;create=true;" org.apache.derby.tools.ij $i
	done	
else
	# Now use an existing database and create commonDB tables	
	for i  in `ls | egrep "(^create|^insert)Table"`
	do
		"$JAVA_HOME/bin/java" -classpath "$WAS_HOME/derby/lib/derby.jar:$WAS_HOME/derby/lib/derbytools.jar:$WAS_HOME/derby/lib/jh.jar" -Ddb2j.system.home=$DB_DIR -Dij.protocol=jdbc:derby: -Dij.database=$DB_DIR_DB_NAME org.apache.derby.tools.ij $i
	done
fi

cd $INIT_DIR
