@echo off
REM
REM BEGIN COPYRIGHT
REM *************************************************************************
REM Licensed Materials - Property of IBM 
REM 5724-L01, 5655-N53, 5724-I82, 5655-R15
REM (C) Copyright IBM Corporation 2006,2008, 2009. All rights reserved. 
REM US Government Users Restricted Rights - Use, duplication, or disclosure
REM restricted by GSA ADP Schedule Contract with IBM Corp.
REM *************************************************************************
REM END COPYRIGHT

REM ---------------------------------------------------------
REM -- This batch file creates CommonDB database for Informix
REM -- 
REM -- This file for use on Windows systems
REM -- 
REM -- Usage:
REM -- configCommonDB.bat createDB     --create a new db
REM -- configCommonDB.bat              --use an existing db
REM -- Parameters:
REM 	createDB    - specify whether or not  to create a new db
REM
REM Return Codes:  0 for success
REM 
REM ---------------------------------------------------------

setlocal

SET CUR_DIR=%cd%

%~d0
cd %~p0

set RC=0

REM set createDB parameter.
set CREATEDB=TRUE
if "%1"=="createDB" set CREATEDB=TRUE
if not "%1"=="createDB" set CREATEDB=FALSE
set INFORMIXDIR=@DB_LOCATION@
set INFORMIXSERVER=@DB_INSTANCE@

REM DB_NAME
set DB_NAME=@DB_NAME@
set CREATE=CREATE DATABASE
set WLOG=WITH LOG

call %INFORMIXDIR%\%INFORMIXSERVER%.cmd

IF "%CREATEDB%"=="TRUE" goto CREATE_DB
IF "%CREATEDB%"=="FALSE" goto EXIST_DB

REM The return code from dbaccess only indicates if the dbaccess call
REM succeeded. It does not return an error if the SQL statements failed.

:CREATE_DB
echo %CREATE% %DB_NAME% %WLOG% | %INFORMIXDIR%\bin\dbaccess -
if %ERRORLEVEL% NEQ 0 set RC=%ERRORLEVEL%&goto PRINT_USAGE
goto CREATETABLE

:EXIST_DB

goto CREATETABLE

:CREATETABLE

dir /B | findstr "\<create"Table > files.log
dir /B | findstr "\<insert"Table >> files.log

for /F "tokens=1* delims=" %%v in ( files.log ) do (
	%INFORMIXDIR%\bin\dbaccess %DB_NAME% %%v
	if %ERRORLEVEL% NEQ 0 set RC=%ERRORLEVEL%&goto PRINT_USAGE
)

if not %ERRORLEVEL%==0 (
    goto PRINT_USAGE
) else (
    goto END 
)

:PRINT_USAGE

REM Print usage messages
echo.
echo ================================================================
echo Usage: configCommonDB.bat [createDB]
echo.
echo Parameters:
echo    createDB    - specify whether or not to  create a new db 
echo Note:
echo    Make sure Database Environment set before executing the script   
echo ================================================================
goto END

:END
rem del files.log
rem exit %RC%
cd /d "%CUR_DIR%"
endlocal

