#!/bin/sh
#
# BEGIN COPYRIGHT
# *************************************************************************
# Licensed Materials - Property of IBM 
# 5724-L01, 5655-N53, 5724-I82, 5655-R15
# (C) Copyright IBM Corporation 2006, 2009. All rights reserved. 
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
# *************************************************************************
# END COPYRIGHT
#------------------------------------------------------------------------------------------------------------------------------------------------------------
# Description:   Configure Oracle Database environment for CommonDB in occasion of Setup a new or existing database separately
# Run the script always where it is located rather running from different folder
# This file for use on Linux/Unix systems's bash
#------------------------------------------------------------------------------------------------------------------------------------------------------------
setlocal

INIT_DIR=`pwd`

CURRENT_DIR=`dirname $0`
if [ "$CURRENT_DIR" = "." ] ; then
   CURRENT_DIR=`pwd`
fi

cd $CURRENT_DIR

echo "Please enter password or press enter to skip (password will be stored as cleartext in SQL file(s)): "
read PASSWORD

if [ "$PASSWORD" != "" ] ; then
  sed -i "s/&dbCommonPassword/$PASSWORD/" createSchema_CommonDB.sql
  ls | egrep "createSchema_CommonDB.sql" | sed 's/^/\@/' >> files.sql
fi

ls | egrep "(^create|^insert)Table" | sed 's/^/\@/' >> files.sql
echo quit >> files.sql

sqlplus @DB_USER@@@DB_NAME@ @files.sql

rm -f  files.sql

cd $INIT_DIR