@echo off
REM
REM BEGIN COPYRIGHT
REM *************************************************************************
REM Licensed Materials - Property of IBM 
REM 5724-L01, 5655-N53, 5724-I82, 5655-R15
REM (C) Copyright IBM Corporation 2006,2008, 2009. All rights reserved. 
REM US Government Users Restricted Rights - Use, duplication, or disclosure
REM restricted by GSA ADP Schedule Contract with IBM Corp.
REM *************************************************************************
REM END COPYRIGHT
REM
REM --------------------------------------------------------------------------
REM Description:   This batch file creates CommonDB database for SQL Server 2000
REM
REM The SQL Server JDBC driver only supports mixed authentication mode. Therefore,
REM when the SQL Server instance is created, the authentication must be set to
REM "SQL Server and Windows"
REM
REM This file for use on Windows systems
REM Run the script always where it is located rather running from different folder
REM Usage: 
REM configCommonDB.bat [createDB]  
REM Parameters:
REM 	createDB    - specify whether or not  to create a new db
REM 
REM Example:
REM     configCommonDB.bat createDB    --create a new db
REM     configCommonDB.bat             --use an existing db
REM
REM Return Codes:  0 for success
REM --------------------------------------------------------------------------

setlocal

SET CUR_DIR=%cd%

%~d0
cd %~p0

set RC=0
set CREATEDB=TRUE
if "%1"=="createDB" set CREATEDB=TRUE
if not "%1"=="createDB" set CREATEDB=FALSE

REM The name of the commonDB database. 
set DB_NAME=@DB_NAME@
set SERVER=@DB_HOSTNAME@
set DB_PASSWORD=
set DB_USER=@DB_USER@

REM :SERVER
set SERVER_PARAM=-S %SERVER%
if "%SERVER%"=="" set SERVER_PARAM=

:START

:INPUT_PASSWORD
if "%DB_PASSWORD%"==""  (
  set /p DB_PASSWORD=Please enter password: 
  goto INPUT_PASSWORD
)
set CONNECTION_ID=-U %DB_USER% -P %DB_PASSWORD%

IF "%CREATEDB%"=="TRUE" goto CREATE_DB
IF "%CREATEDB%"=="FALSE" goto EXIST_DB

:CREATE_DB
REM Create the database
osql -b -d master %SERVER_PARAM% %CONNECTION_ID% -Q"CREATE DATABASE %DB_NAME%"
if %ERRORLEVEL% NEQ 0 set RC=%ERRORLEVEL%&goto PRINT_USAGE
goto CREATETABLE

:EXIST_DB

goto CREATETABLE

:CREATETABLE

REM create the commonDB tables

dir /B | findstr "\<create"Table > files.log
dir /B | findstr "\<insert"Table >> files.log

for /F "tokens=1* delims=" %%v in ( files.log ) do (
	osql -b -d %DB_NAME% %SERVER_PARAM% %CONNECTION_ID% -i%%v
	if %ERRORLEVEL% NEQ 0 set RC=%ERRORLEVEL%&goto PRINT_USAGE
)

goto END

:PRINT_USAGE
REM Print usage messages
echo.
echo ================================================================
echo Usage: configCommonDB.bat [createDB]
echo.
echo Parameters:
echo    createDB    - specify whether or not to  create a new db 
echo Note:
echo    Make sure Database Environment set before executing the script
echo ================================================================
goto END

:END
rem del files.log
rem exit %RC%
cd /d "%CUR_DIR%"
endlocal
